'''
Created on 12-Jul-2021

@author: rishi_priyansh
'''
import inspect
import traceback
import random

from sympy import (latex, Symbol, UnevaluatedExpr as ueval,
                   )
import sympy as sp

from .circuits import BaseCircuitHelper

# _electric_circuit_helper
# ElectricCircuitHelper


class ElectricCircuitHelper(BaseCircuitHelper):
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
        pass
    
    def get_problem_circuit_VR_simple(self, **kwargs):
        vr_circuit_helper = self.get_vr_circuit_helper()
        return vr_circuit_helper.get_problem_circuit_VR_simple(**kwargs)

    def get_problem_circuit_R_resultant(self, **kwargs):
        r_circuit_helper = self.get_r_circuit_helper()
        return r_circuit_helper.get_problem_circuit_R_resultant(**kwargs)

    def get_problem_circuit_R_bridge(self, **kwargs):
        r_circuit_helper = self.get_r_circuit_helper()
        return r_circuit_helper.get_problem_circuit_R_bridge(**kwargs)



    def get_problem_circuit_VC_simple(self, **kwargs):
        vc_circuit_helper = self.get_vc_circuit_helper()
        return vc_circuit_helper.get_problem_circuit_VC_simple(**kwargs)

    def get_problem_circuit_C_resultant(self, **kwargs):
        c_circuit_helper = self.get_c_circuit_helper()
        return c_circuit_helper.get_problem_circuit_C_resultant(**kwargs)

    def get_problem_LCR_circuit(self, **kwargs):
        lcr_circuit_helper = self.get_lcr_circuit_helper()
        return lcr_circuit_helper.get_problem_LCR_circuit(**kwargs)

    pass
#class ElectricCircuitHelper:

    